package com.ejie.ab04b.report;

import com.ejie.x38.reports.ReportData;

/**
 * Añade información sobre los estilos de las celdas a los datos del informe.
 * 
 <T>
 *            Tipo del informe
 * @author GFI-NORTE
 */
public class SdfReportData<T> extends ReportData<T> {

	/**
	 * 
	 */
	private static final long serialVersionUID = -3259431997127327088L;

	private String title; // Titulo del listado
	private SdfExcelStyle styleTitleCell; // Estilo de la celda de titulo
	private SdfExcelStyle styleHeaderCell; // Estilo de las celdas de cabecera
	private SdfExcelStyle styleRowEvenCell; // Estilo de las celdas en filas
											// pares
	private SdfExcelStyle styleRowOddCell; // Estilo de las celdas en filas
											// impares

	/**
											 * Gets the title.
											 * 
											 *  String
											 *
											 * @return the title
											 */
	public String getTitle() {
		return this.title;
	}

	/**
	 * Sets the title.
	 * 
	 *  title            String
	 *
	 * @param title the new title
	 */
	public void setTitle(String title) {
		this.title = title;
	}

	/**
	 * Gets the style title cell.
	 * 
	 *  SgetExcelStyle
	 *
	 * @return the style title cell
	 */
	public SdfExcelStyle getStyleTitleCell() {
		return this.styleTitleCell;
	}

	/**
	 * Sets the style title cell.
	 * 
	 *  styleTitleCell            SgetExcelStyle
	 *
	 * @param styleTitleCell the new style title cell
	 */
	public void setStyleTitleCell(SdfExcelStyle styleTitleCell) {
		this.styleTitleCell = styleTitleCell;
	}

	/**
	 * Gets the style header cell.
	 * 
	 *  SgetExcelStyle
	 *
	 * @return the style header cell
	 */
	public SdfExcelStyle getStyleHeaderCell() {
		return this.styleHeaderCell;
	}

	/**
	 * Sets the style header cell.
	 * 
	 *  styleHeaderCell            SgetExcelStyle
	 *
	 * @param styleHeaderCell the new style header cell
	 */
	public void setStyleHeaderCell(SdfExcelStyle styleHeaderCell) {
		this.styleHeaderCell = styleHeaderCell;
	}

	/**
	 * Gets the style row even cell.
	 * 
	 *  SgetExcelStyle
	 *
	 * @return the style row even cell
	 */
	public SdfExcelStyle getStyleRowEvenCell() {
		return this.styleRowEvenCell;
	}

	/**
	 * Sets the style row even cell.
	 * 
	 *  styleRowEvenCell            SgetExcelStyle
	 *
	 * @param styleRowEvenCell the new style row even cell
	 */
	public void setStyleRowEvenCell(SdfExcelStyle styleRowEvenCell) {
		this.styleRowEvenCell = styleRowEvenCell;
	}

	/**
	 * Gets the style row odd cell.
	 * 
	 *  SgetExcelStyle
	 *
	 * @return the style row odd cell
	 */
	public SdfExcelStyle getStyleRowOddCell() {
		return this.styleRowOddCell;
	}

	/**
	 * Sets the style row odd cell.
	 * 
	 *  styleRowOddCell            SgetExcelStyle
	 *
	 * @param styleRowOddCell the new style row odd cell
	 */
	public void setStyleRowOddCell(SdfExcelStyle styleRowOddCell) {
		this.styleRowOddCell = styleRowOddCell;
	}

}
